org.eclipse.emf.compare.match.eobject

## Enum EObjectIndex.Side

- java.lang.Object
- - java.lang.Enum<EObjectIndex.Side>
  - - org.eclipse.emf.compare.match.eobject.EObjectIndex.Side

All Implemented Interfaces:
  Serializable, Comparable<EObjectIndex.Side>

Enclosing interface:
  EObjectIndex

    public static enum EObjectIndex.Side
    extends Enum<EObjectIndex.Side>

An enumeration used in the API to specify sides.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LEFT` the left side.
`ORIGIN` The origin side (also known as ancestor).
`RIGHT` The right side.

### Method Summary

All Methods Static Methods Concrete Methods
`static EObjectIndex.Side` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EObjectIndex.Side[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final EObjectIndex.Side LEFT

the left side.

#### RIGHT

    public static final EObjectIndex.Side RIGHT

The right side.

#### ORIGIN

    public static final EObjectIndex.Side ORIGIN

The origin side (also known as ancestor).

### Method Detail

#### values

    public static EObjectIndex.Side[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EObjectIndex.Side c : EObjectIndex.Side.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EObjectIndex.Side valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null